Draft Vista 2D

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Shape2DView and the translation is 26% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft Shape2DView.svg Vista 2D

Posizione nel menu
Draft → Vista 2D
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno


Descrizione

Questo strumento inserisce nel documento un oggetto 2D che è una vista appiattita di un oggetto basato su una forma proiettata nella direzione della vista corrente.

The resulting projection is a Draft object and is placed in the 3D view. This object can be displayed on a TechDraw Workbench Page, using the TechDraw NewDraft tool. Alternatively, TechDraw has its own tools to create projected views, the TechDraw NewView and TechDraw NewProjGroup tools; however, these tools are meant for preparing technical drawings, so they create the views only in the drawing page, and not in the 3D view.

Draft Shape2DView example.jpg

Projection of solid shapes into the XY plane


Utilizzo

  1. Selezionare l'oggetto di cui si desidera estrarre una vista 2D
  2. Ruotare la vista (oppure impostare una vista predefinita con la tastiera o i pulsanti) in modo che abbia la direzione in cui si vuole proiettare l'oggetto. Per esempio, impostare la Vista dall'alto per proiettare l'oggetto sul piano XY, verticalmente lungo l'asse Z come nell'immagine precedente.
  3. Premere il pulsante Draft Shape2DView.png Vista 2D

The projected object will be created below the selected object, lying on the XY plane. It's position can be changed by changing its properties. The projection direction can also be changed after creation with the property editor.

If the selected object is an Arch SectionPlane, the projection will use the contents and direction of that Section plane; in this case, the "Projection" property will be ignored.

Opzioni

  • Se l'oggetto selezionato è una Sezione piana di architettura, la proiezione 2D è il contenuto del piano di sezione, e il vettore di proiezione è preso dal piano di sezione anziché dalla Proprietà Projection indicata sotto.
  • La modalità di funzionamento normale è Solid e proietta l'intera forma. Per proiettare solo alcune facce dell'oggetto di base occorre selezionarle durante la creazione della vista 2D e impostare la modalità Individual Faces.
  • Se l'oggetto selezionato è una Sezione piana di architettura, è disponibile una modalità di proiezione Cutlines che proietta solo i bordi tagliati dal piano di sezione, oppure la modalità Cutfaces che visualizza come facce le aree tagliate nel solido .

Proprietà

  • DATIProjection: La direzione della proiezione
  • DATIProjection Mode: Il tipo di proiezione: solid, individual faces, oppure Cutlines (solido completo, singole facce, linee sezionate).
  • DATIIn Place: Se questo è True, quando si utilizza la modalità Cutfaces o Cutfaces (solo con Sezioni di Arch), il risultato appare nella posizione del piano di taglio invece che nel piano terra introduced in version 0.17
  • DATIHiddenLines: Mostra le linee nascoste
  • DATITessellation: Tessella ellissi e bspline in segmenti
  • DATISegment Length: Le dimensioni dei segmenti se la tassellazione è attivata

Script

Lo strumento Vista 2D può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

Shape2DView = makeShape2DView(baseobj, projectionVector=None, facenumbers=[])
  • Aggiunge al documento una forma 2D che è una proiezione 2D dell'oggetto specificato.
  • Può anche essere specificato un vettore di proiezione.
  • Restituisce l'oggetto generato.
  • È inoltre possibile fornire un elenco dei numeri delle facce da considerare.

The ProjectionMode attribute needs to be overwritten with the desired mode, which can be "Solid", "Individual Faces", "Cutlines", or "Cutfaces".

Esempio:

import FreeCAD, Draft

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

Shape1 = Draft.makeShape2DView(Box)

Shape2 = Draft.makeShape2DView(Box, FreeCAD.Vector(1, -1, 1))

Shape3 = Draft.makeShape2DView(Box, FreeCAD.Vector(-1, 1, 1), [4,5])
Shape3.ProjectionMode = "Individual Faces"

FreeCAD.ActiveDocument.recompute()